Retrieves all the db_info_data_article objects
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_info_data_article| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| article_id |
Foreign key of the object using his Odyssee Guid Primary Key |
globally unique identifier |
Optionally required : article_id or article_code must be provided |
| article_code |
Foreign key of the object using ERP PK when adding/updating db_info_data |
string |
Optionally required : article_id or article_code must be provided |
| db_info_field_id | globally unique identifier |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field_name | string |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field | db_info_field |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| value |
The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields) |
string |
Required |
| reference_back_office |
The Id/Ref of the back office for this object |
string |
Max length: 50 |
| sys_logical_delete |
sys_logical_delete |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "34d10a5e-9053-44f2-b56d-48b9d4ab572b",
"article_id": "68f2147f-73b9-4937-af8f-3302729362b2",
"article_code": "sample string 3",
"db_info_field_id": "4969c873-cae4-4cb3-9b39-b7b6f37c458c",
"db_info_field_name": "sample string 5",
"value": "sample string 6",
"reference_back_office": "sample string 7",
"sys_logical_delete": true,
"modified_dateutc": "2026-10-08T17:04:00.8603083+00:00"
}